KFileMimeTypeInfo::GroupInfo Class Reference

`#include <kfilemetainfo.h>`

## Public Member Functions

QStringList | supportedKeys () const
const QString & | name () const
const QString & | translatedName () const
const ItemInfo * | itemInfo (const QString &key) const
uint | attributes () const
bool | supportsVariableKeys () const
const ItemInfo * | variableItemInfo () const

## Friends

class | KFilePlugin
class | KFileMimeTypeInfo

## Detailed Description

Information about a meta information group.

This is the class for one group of items of a KFileMimeTypeInfo. It contains, among other things, the information about the group's name and a list of supported items.

Definition at line 138 of file kfilemetainfo.h.

## Member Function Documentation

uint KFileMimeTypeInfo::GroupInfo::attributes | ( |  | ) | const

inline

Get the attributes of this group (see Attributes)

Returns
  the attributes

Definition at line 196 of file kfilemetainfo.h.

const KFileMimeTypeInfo::ItemInfo * KFileMimeTypeInfo::GroupInfo::itemInfo | ( | const QString & | key | ) | const

A group object can contain several item objects (of which you can get the names with supportedKeys() .

With this method, you can get one of those item objects. See ItemInfo

Returns
  a pointer to the item info. Don't delete this object!

Definition at line 1565 of file kfilemetainfo.cpp.

const QString& KFileMimeTypeInfo::GroupInfo::name | ( |  | ) | const

inline

Use this method to get the name of the group.

This string doesn't depend on the user's locale settings

Returns
  the group name

Definition at line 165 of file kfilemetainfo.h.

QStringList KFileMimeTypeInfo::GroupInfo::supportedKeys | ( |  | ) | const

inline

Use this method to get a list of keys in the specified group that the plugin knows about.

No variable keys. For a group that doesn't support variable keys, all keys that this group may have are returned. For a group that does support them, the non-variable ones are returned. See KFileMetaInfo about variable keys

Returns
  the list of keys supported for this mimetype

Definition at line 154 of file kfilemetainfo.h.

bool KFileMimeTypeInfo::GroupInfo::supportsVariableKeys | ( |  | ) | const

inline

Returns
  true if this group supports adding or removing arbitrary keys, false if not.

Definition at line 205 of file kfilemetainfo.h.

const QString& KFileMimeTypeInfo::GroupInfo::translatedName | ( |  | ) | const

inline

Use this method to get the string to display to the user as group name.

This may be different to name() and it returns the name in the user's language

Returns
  the translated group name

Definition at line 177 of file kfilemetainfo.h.

const ItemInfo* KFileMimeTypeInfo::GroupInfo::variableItemInfo | ( |  | ) | const

inline

If the group supports variable keys, you can query their item info with this method.

The main reason for this is that you can get the type and attributes of variable keys.

Returns
  a pointer to the item info. Don't delete this object!

Definition at line 217 of file kfilemetainfo.h.

The documentation for this class was generated from the following files:

- kfilemetainfo.h
- kfilemetainfo.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys